Download it now!
Bug 72832 - CMIS check out process overwrites document's title property
Summary: CMIS check out process overwrites document's title property
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.3.2 release
Hardware: Other All
: high major
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: CMIS File-Properties
  Show dependency treegraph
 
Reported: 2013-12-18 11:31 UTC by Igor Blanco
Modified: 2018-09-23 02:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Igor Blanco 2013-12-18 11:31:45 UTC
Problem description: 
When I open a document using the CMIS extension against Alfresco 4.2c, If I use the check-out option so that a working copy is generated and the original version locked, the working copy has the title changed.

Steps to reproduce:
1. Configure LibreOffice to access an Alfresco repository using CMIS
2. Open a document from the repository
3. LibreOffice warns you that you are editing the current version instead of checking out the file and it gives you the option to check-out (by the way, fantastic option).
4. Check out, in the repository the a working copy is generated and LibreOffice loads this file instead of the original one.
5. If you go to documents properties and check the title metadata you will see that it has been set to the full path of the file in the repository instead of just leaving it as it originally was in the document.

Expected behavior:
The documents title metadata shouldn't be changed.
              
Operating System: All
Version: 4.1.3.2 release
Comment 1 tommy27 2014-07-01 04:18:14 UTC
are you still seeing this with current LibO 4.2.5.2 release?
Comment 2 Igor Blanco 2014-07-01 07:17:10 UTC
Yes, it is still an issue in this version:

Versión: 4.2.5.2
Id. de compilación: 420m0(Build:2)

Let me know if there is something else I can do to help solve this.
Comment 3 Leif Lodahl 2014-12-11 18:59:18 UTC
I can confirm in LibreOffice 4.3.4.1.
This can be related to #72947.

The problem is both while checking in and out.
Comment 4 Paolo Dongilli 2015-02-27 10:41:28 UTC
I can confirm in LibreOffice 4.4.0.3.
This can be related to #72947.

The problem is both while checking in and out.
Comment 5 Paolo Dongilli 2015-02-27 10:54:21 UTC
I don't think it's related to #72947
Comment 6 Igor Blanco 2015-02-27 11:27:05 UTC
Confirmed  in:

Versión: 4.2.7.2
Id. de compilación: 420m0(Build:2)

I've got some more information that might be useful.

When LibreOffice does the checkout the checked-out document itself does not have the title wrong, is what LibreOffice is showing you what has the title wrong. If you just close the document an open the working copy again the title is right.

And this is not the only problem with the supposed "working copy" that LibreOffice did download because if you try to save it throws a "general input/output" error. If you close the document an open the "real" working copy you can save it without any issue.

So I think the problem is not really related to the title itself, I think there is some deeper trouble with the downloaded working copy.

In Alfresco a working copy is not just "an status" of the document is a whole differente document. Might the LiberOffice CMIS client assuming that the reference to the document is still the same as the old one? That would explain why it can't be saved because when a working copy is created the original one is locked as a read only document.
Comment 7 DiegoM 2015-02-27 17:03:35 UTC
As allready mentioned by Paolo (we work together), also LO 4.4 is affected. It seems problem is in the CMIS component.
As this point is mentioned in the TDF Libreoffice Migration Protocoll under the Certification Program, importance of this bug rise up!

I will put the bug in the attention of TDF Certification Commitee.
Comment 8 tommy27 2016-04-16 07:27:34 UTC Comment hidden (obsolete)
Comment 9 Igor Blanco 2016-04-22 11:24:34 UTC
The bug is still present:

Versión: 5.1.2.2
Id. de compilación: 1:5.1.2~rc2-0ubuntu1~trusty0
Hilos de CPU: 4; Versión de SO: Linux 3.13; Renderizado de IU: predeterminado; 
Configuración regional: es-ES (es_ES.UTF-8)

Alfresco Version: Alfresco Community 5.0.d

This bug behaves equal to how it did in older versions.

But now it seems like there is an even worse bug, I can open remote files from the recent files list but can't open them from the REmote Archive dialog. I can browse the repository and reach to the file but when I hit "Abrir" ("Open" in the english version) it does nothing. I'm quite confused about this because I would swear that this did work yesterday... I'll check more thoroughly and open a new bug if it persists.
Comment 10 Igor Blanco 2016-04-22 12:43:57 UTC
sorry, forgot to mention that my Operating System is Ubuntu 14.04
Comment 11 QA Administrators 2017-05-22 13:24:46 UTC Comment hidden (obsolete)
Comment 12 Igor Blanco 2017-09-21 10:07:44 UTC
This is still an issue with LibreOffice 5.4.1.2 in Ubuntu 16.04.
Comment 13 QA Administrators 2018-09-23 02:49:46 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug